libpostgis-java_2.2.1-6_all.deb


Advertisement

Description

libpostgis-java - Geographic objects support for PostgreSQL -- JDBC support

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpostgis-java
Package version 2.2.1
Package release 6
Package architecture all
Package type deb
Installed size 79 B
Download size 52.06 KB
Official Mirror archive.ubuntu.com
PostGIS adds support for geographic objects to the PostgreSQL
object-relational database. In effect, PostGIS "spatially enables"
the PostgreSQL server, allowing it to be used as a backend spatial
database for geographic information systems (GIS), much like ESRI's
SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
"Simple Features Specification for SQL".
This package contains JDBC support for PostGIS.

Alternatives

Package Version Architecture Repository
libpostgis-java_2.2.1-6_all.deb 2.2.1 all Ubuntu Universe
libpostgis-java - - -

Requires

Name Value
libpostgresql-jdbc-java -

Replaces

Name Value
libpostgis-jdbc -
libpostgisjava -
postgresql-postgis-java -

Download

Type URL
Binary Package libpostgis-java_2.2.1-6_all.deb
Source Package postgis-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpostgis-java deb package:
    # sudo apt-get install libpostgis-java

Files

Path
/usr/share/doc/libpostgis-java/changelog.Debian.gz
/usr/share/doc/libpostgis-java/copyright
/usr/share/java/postgis-jdbc-2.2.1.jar
/usr/share/java/postgis-jdbc.jar
/usr/share/maven-repo/net/postgis/postgis-jdbc/2.2.1/postgis-jdbc-2.2.1.jar
/usr/share/maven-repo/net/postgis/postgis-jdbc/2.2.1/postgis-jdbc-2.2.1.pom
/usr/share/maven-repo/net/postgis/postgis-jdbc/debian/postgis-jdbc-debian.jar
/usr/share/maven-repo/net/postgis/postgis-jdbc/debian/postgis-jdbc-debian.pom

Changelog

2018-03-29 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-6) unstable; urgency=medium
* Update copyright-format URL to use HTTPS.
* Fix typo in patch description.
* Drop explicit build dependency on openjdk-8-jdk-headless.
(closes: #894354)
* Bump Standards-Version to 4.1.3, no changes.
* Add lintian override for vcs-deprecated-in-debian-infrastructure.
2017-09-30 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-5) unstable; urgency=medium
* Bump Standards-Version to 4.1.1, no changes.
* Move from experimental to unstable.
2017-09-24 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-5~exp1) experimental; urgency=medium
* Update dependencies for postgresql 10 & postgis 2.4.
* Bump Standards-Version to 4.1.0, no changes.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
2017-07-22 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-4) unstable; urgency=medium
* Add junit4 to build dependencies.
(closes: #869274)
* Bump Standards-Version to 4.0.0, no changes.
* Add autopkgtest to test installability.
2017-01-11 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-3) unstable; urgency=medium
* Update maven.rules for new libpgjava.
(closes: #851019)
* Drop sqlexception.patch, not required for new libpgjava (postgresql-jdbc).
2016-09-26 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-2) unstable; urgency=medium
* Move from experimental to unstable.
2016-09-25 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-2~exp1) experimental; urgency=medium
* Switch to headless variant for jdk dependencies.
* Update dependencies for postgresql 9.6 & postgis 2.3.
2016-07-29 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.1-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.8, no changes.
* Refresh patches.
* Update maven.rules for postgresql-jdbc.
* Add patch to declare SQLException to fix build failure.
2016-02-08 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.0-3) unstable; urgency=medium
* Update Vcs-Git URL to use HTTPS.
* Update build dependencies for OpenJDK 8.
(closes: #814173)
* Bump Standards-Version to 3.9.7, no changes.
2016-01-12 - Bas Couwenberg <sebastic@debian.org>
postgis-java (1:2.2.0-2) unstable; urgency=medium
* Update suggested dependency for PostgreSQL 9.5 and PostGIS 2.2.

See Also

Package Description
libpostgresql-gst_3.2.5-1.1_all.deb PostgreSQL bindings for GNU Smalltalk
libpostgresql-jdbc-java-doc_9.4.1212-1_all.deb Java database (JDBC) driver for PostgreSQL (documentation)
libpostgresql-jdbc-java_9.4.1212-1_all.deb Java database (JDBC) driver for PostgreSQL
libpostgresql-ocaml-dev_2.0.5-3build1_i386.deb OCaml bindings to PostgreSQL's libpq
libpostgresql-ocaml_2.0.5-3build1_i386.deb OCaml bindings to PostgreSQL's libpq (runtime)
libpostproc-dev_3.4.2-2_i386.deb FFmpeg library for post processing - development files
libpostproc54_3.4.2-2_i386.deb FFmpeg library for post processing - runtime files
libpostscript-file-perl_2.23+dfsg-1_all.deb module for creating Adobe PostScript files
libpostscript-perl_0.06-2_all.deb Perl module to generate PostScript code
libpostscript-simple-perl_0.09-1_all.deb Perl library for generating postscript files
libpostscriptbarcode_20140312-2_all.deb Barcode Writer in Pure PostScript
libpotemkin-clojure_0.4.3-2_all.deb collection of facades and workarounds for Clojure
libpowercap-dev_0.1.1-1_i386.deb Development files for libpowercap
libpowercap0_0.1.1-1_i386.deb Shared library for accessing the powercap Linux kernel feature
libpowerdevilcore2_5.12.4-0ubuntu1_i386.deb Global power saver settings ui library
Advertisement
Advertisement